--- lexer_v3.l.cvs	Tue Nov 11 09:33:03 2003
+++ lexer_v3.l	Tue Nov 11 12:36:52 2003
@@ -128,21 +128,21 @@
 ID		<?[0-9a-zA-Z-]*>?
 CHARSET		[0-9a-zA-Z-]+
 MTYPE		[ \t]*[0-9a-zA-Z/-]*
-TTYPE		[ \t]*[\.0-9a-zA-Z/-]*
+TTYPE		[ \t]*[.0-9a-zA-Z/-]*
 
 NUM		[0-9]+
 NUM_NUM		\ {NUM}\ {NUM}
 MSG_COUNT	^\".MSG_COUNT\"
 
+
 TOKENFRONT	[^[:blank:][:cntrl:][:digit:][:punct:]]
-TOKENMID	[^[:blank:]<>;=():&%$#@+|/\\{}^\"?*,[:cntrl:]\[\]]+
-BOGOLEX_TOKEN	[^[:blank:]<>;    &%  @ |/\\{}^\" *,[:cntrl:]\[\]]+
-TOKENBACK	[^[:blank:]<>;=():&%$#@+|/\\{}^\"?*,[:cntrl:]\[\]._\+\-]
+TOKENMID	[^[:blank:]<>;=():&%$#@+|/\\{}^\"?*,[:cntrl:][\]]*
+BOGOLEX_TOKEN	[^[:blank:]<>;    &%  @ |/\\{}^\" *,[:cntrl:][\]]+
+TOKENBACK	[^[:blank:]<>;=():&%$#@+|/\\{}^\"?*,[:cntrl:][\]._+-]
 
 TOKEN		{TOKENFRONT}{TOKENMID}{TOKENBACK}
 
-T12		[[:alpha:]][[:alnum:]]?
-TOKEN_12 	({TOKEN}|{T12})
+TOKEN_1 	({TOKEN}|[[:alpha:]])
 
 BASE64		[0-9a-zA-Z/+=]+
 QP		[!->@-~]+
@@ -167,19 +167,17 @@
   old: ENCODED_WORD =\?{CHARSET}\?(b\?{BASE64}|q\?{QP})\?\=
 */
 
-ENCODED_WORD	=\?{CHARSET}\?[bq]\?[^\?]*\?\=
+ENCODED_WORD	=\?{CHARSET}\?[bq]\?[^?]*\?=
 ENCODED_TOKEN	({TOKENFRONT}{TOKENMID})?({ENCODED_WORD}[ \t\n]+)*{ENCODED_WORD}
 
 WHITESPACE	[ \t\n]
 NOTWHITESPACE	[^ \t\n]
 
 HTML_ENCODING		"&#"x?[[:xdigit:]]+";"
-URL_ENCODING		"\%"[[:xdigit:]][[:xdigit:]]
-
-HTML_WI_COMMENTS	"<"[^\>]*">"
-HTML_WO_COMMENTS	"<"[^!][^\>]*">"|"<>"
+URL_ENCODING		"%"[[:xdigit:]][[:xdigit:]]
 
-HTMLTOKEN		{HTML_WI_COMMENTS}
+HTML_WI_COMMENTS	"<"[^>]*">"
+HTML_WO_COMMENTS	"<"[^!][^>]*">"|"<>"
 
 /*
  * Generally, there are some html tags that cause an "eyebreak" and some
@@ -262,14 +260,14 @@
 
   /* This has to match just as much or more than the below rules, so as to be the 
      controlling rule. */
-<HTML>{TOKEN}({HTMLTOKEN}*{BREAKHTML}+{HTMLTOKEN}*.?|({HTMLTOKEN})+{WHITESPACE})		{ 
+<HTML>{TOKEN}({HTML_WI_COMMENTS}*{BREAKHTML}+{HTML_WI_COMMENTS}*.?|({HTML_WI_COMMENTS})+{WHITESPACE})		{ 
     			char *chr = memchr(yytext, '<', yyleng);	/* find start of html tag */
 			size_t len = chr - yytext;
 			yyless(len);
 			return TOKEN;
 			}
 
-<HTML>{TOKEN_12}({HTMLTOKEN})+/{NOTWHITESPACE}	{ html_reorder(); }
+<HTML>{TOKEN_1}({HTML_WI_COMMENTS})+/{NOTWHITESPACE}	{ html_reorder(); }
 
 <HTML>"<!--"					{ BEGIN SCOMMENT; }
 <HTML>"<!"					{ BEGIN (strict_check ? HTOKEN : LCOMMENT ); }
@@ -286,8 +284,8 @@
 {IPADDR}					{ return IPADDR;}
 {TOKEN}						{ return TOKEN;}
 
-<HTML>{TOKEN_12}?{HTML_ENCODING}		{ html_char(); }	/* process escaped chars, eg '&#101;' is 'a' */
-<HTOKEN>{TOKEN_12}?{URL_ENCODING}+		{ url_char(); }		/* process escaped chars, eg '%61'    is 'a' */
+<HTML>{TOKEN_1}?{HTML_ENCODING}			{ html_char(); }	/* process escaped chars, eg '&#101;' is 'a' */
+<HTOKEN>{TOKEN_1}?{URL_ENCODING}+		{ url_char(); }		/* process escaped chars, eg '%61'    is 'a' */
 
 \${NUM}(\.{NUM})?				{ return TOKEN;}	/* Dollars and cents */
 

